% exmaple code to compute the mean spike train

clear;
load ipp_data;

K = length(S);

% compute the mean spike train in each process
s{1} = MM_sub(S(1:K/2), T);
s{2} = MM_sub(S(1+K/2:K), T); 

% plot the spike trains as well as the means
cr = 'br';
C = 2;
for c = 1:C
    subplot(2,1,c);
    for i = 1:K/2
        hold on;
        plot(ones(2,1)*S{i+(c-1)*K/2}, [21-i, 20-i], cr(c), 'linewidth', 1);
    end
    xlabel('time (sec)', 'fontsize', 18);
    axis([0 2 -3 20]);
    set(gca,'fontsize', 14);
    plot(ones(2,1)*s{c}, [-2, -1], cr(c), 'linewidth', 2);
end
