% Compute the pairwise distances

clear; 
    
load ipp_data;

K = length(S);  % number of trains

lambda = 20*mean(nS)/T;  % penalty coefficient

p = 2; 

% compute pairwise distance
for i = 1:K
    disp(sprintf('i = %d', i));
    for j = 1:K
        D(i,j) = discre_sub(S{i}, S{j}, T, p, lambda);
    end
end

% plot the distance matrix
imagesc(D);
colormap(gray);
colorbar;

